/**
 * Footer
 */

#footer{

    .brand .logo{
        width: 160px;
    }

    a{
        color: $color__titles;
    }

    .social-nav a{
        color: #425466;
        transition: .5s ease;

        &:hover{
            color: $color__titles;
        }
    }

    div.wpforms-container-full .wpforms-form{
        position: relative;

        input[type=email]{
            background: $color__white;
            font-size: .875rem;
            padding: .75rem 1.25rem;
            border: none;
            max-width: 254px!important;
        }

        button[type=submit]{
            width: 16px;
            height: 13px;
            background: none;
            border: none;
            overflow: hidden;
            padding: 0;
            position: absolute;
            left: 10rem;
            left: 14rem;
            top: -2.4rem;
            margin: auto;

            &:after{
                content: "\f30b";
                font-family: "Font Awesome 5 Free";
                font-weight: 900;
                color: #00579F;
            }
        }

        .wpforms-submit-container{
            padding: 0;
        }
    }

    .menu-footer{
        padding: 0;
        font-size: .875rem;

        &>ul>li>a{
            font-weight: 600;
            font-size: 1rem;
            margin-bottom: 1.25rem;
            display: block;
        }

        ul{
            display: flex;
            justify-content: space-between;
            list-style: none;
            margin: 10px 0 0;
            padding: 0;
        }

        a{
            color: $color__titles;
            font-weight: 500;
            transition: .5s ease;

            &:hover{
                opacity: .8;
            }
        }

        ul.sub-menu{
            padding: 0;
            display: block;

            li{
                display: block;
            }

            li+li{
                margin-top: 15px;
            }
        }
    }

    .lang-selector {
        .trp-language-switcher {
            margin: 0;

            > div {
                background: transparent;
                padding: 0;
                margin: 0;
                border: 0;
            }

            .trp-ls-shortcode-current-language {
                display: none;
            }

            .trp-ls-shortcode-language {
                visibility: visible;
                height: auto;
                overflow: inherit;
                width: auto !important;
                display: block !important;

                a {
                    display: inline-block;
                    padding: 0;
                    margin: 0;
                    color: $color__titles;
                    text-transform: uppercase;

                    img {
                        margin: 0 5px 0 0;
                        display: inline-block;
                    }

                    &.trp-ls-disabled-language {
                        display: none;
                    }

                    &:hover {
                        background: transparent;
                    }
                }
            }

            &:hover {
                .trp-ls-shortcode-language {
                    position: relative;
                }
            }
        }
    }
}

#footer.footer__white{
    background: $color__titles;
    color: $color__white;

    a{
        color: $color__white;
    }

    .lang-selector .trp-language-switcher .trp-ls-shortcode-language a{
        color: #fff;
    }
}

